Plex AutoScan Highly Recommended - v2 | PlexGuide.com

Plex AutoScan Highly Recommended - v2

  • Stop using Chrome! Download the Brave Browser via >>> [Brave.com]
    It's a forked version of Chrome with native ad-blockers and Google's spyware stripped out! Download for Mac, Windows, Android, and Linux!
Welcome to the PlexGuide.com
Serving the Community since 2016!
Register Now

doob

Administrator
Project Manager
Jun 7, 2020
919
477
ah you run gdrive ... so are you running webhook or drive-monitorring ??
 

slamsmatteren

Citizen
Jan 21, 2020
14
0
let me chnage some lines and pushed it to the repo ... give me 10mins please
Post automatically merged:


is the file uploaded ?? or its sitting on /move ??
Post automatically merged:

repo is online slamsmatteren

Hi again

I got it installed but when its up and running it gives me this error:

File "/usr/lib/python3.8/http/client.py", line 1010, in _send_output,
self.send(msg),
File "/usr/lib/python3.8/http/client.py", line 950, in send,
self.connect(),
File "/usr/lib/python3.8/site-packages/urllib3/connection.py", line 187, in connect,
conn = self._new_conn(),
File "/usr/lib/python3.8/site-packages/urllib3/connection.py", line 171, in _new_conn,
raise NewConnectionError(,
urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7f584cc58640>: Failed to establish a new connection: [Errno -2] Name does not resolve,
,
During handling of the above exception, another exception occurred:,
,
Traceback (most recent call last):,
File "/usr/lib/python3.8/site-packages/requests/adapters.py", line 439, in send,
resp = conn.urlopen(,
File "/usr/lib/python3.8/site-packages/urllib3/connectionpool.py", line 724, in urlopen,
retries = retries.increment(,
File "/usr/lib/python3.8/site-packages/urllib3/util/retry.py", line 439, in increment,
raise MaxRetryError(_pool, url, error or ResponseError(cause)),
urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='plex', port=32400): Max retries exceeded with url: /myplex/account (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f584cc58640>: Failed to establish a new connection: [Errno -2] Name does not resolve')),
,
During handling of the above exception, another exception occurred:,
,
Traceback (most recent call last):,
File "/opt/plex_autoscan/plex.py", line 535, in wait_plex_alive,
resp = requests.get('%s/myplex/account' % (config['PLEX_LOCAL_URL']),,
File "/usr/lib/python3.8/site-packages/requests/api.py", line 75, in get,
return request('get', url, params=params, **kwargs),
File "/usr/lib/python3.8/site-packages/requests/api.py", line 60, in request,
return session.request(method=method, url=url, **kwargs),
File "/usr/lib/python3.8/site-packages/requests/sessions.py", line 533, in request,
resp = self.send(prep, **send_kwargs),
File "/usr/lib/python3.8/site-packages/requests/sessions.py", line 646, in send,
r = adapter.send(request, **kwargs),
File "/usr/lib/python3.8/site-packages/requests/adapters.py", line 516, in send,
raise ConnectionError(e, request=request),
requests.exceptions.ConnectionError: HTTPConnectionPool(host='plex', port=32400): Max retries exceeded with url: /myplex/account (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f584cc58640>: Failed to establish a new connection: [Errno -2] Name does not resolve')),
2020-09-10 22:44:52,670 - WARNING - PLEX [140017218177824]: Checking again in 15 seconds (attempt 4)...,
2020-09-10 22:45:03,892 - INFO - PLEX [140017216056096]: File '/mnt/unionfs/movies/Get Shorty (1995)/Get Shorty (1995) Bluray-1080p.mkv' exists on check 1 of 5.,
2020-09-10 22:45:07,687 - ERROR - PLEX [140017218177824]: Exception checking if Plex was available at http://plex:32400: ,
Traceback (most recent call last):,
File "/usr/lib/python3.8/site-packages/urllib3/connection.py", line 159, in _new_conn,
conn = connection.create_connection(,
File "/usr/lib/python3.8/site-packages/urllib3/util/connection.py", line 61, in create_connection,
for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):,
File "/usr/lib/python3.8/socket.py", line 918, in getaddrinfo,
for res in _socket.getaddrinfo(host, port, family, type, proto, flags):,
socket.gaierror: [Errno -2] Name does not resolve,
,
During handling of the above exception, another exception occurred:,
,
Traceback (most recent call last):,
File "/usr/lib/python3.8/site-packages/urllib3/connectionpool.py", line 670, in urlopen,
httplib_response = self._make_request(,
File "/usr/lib/python3.8/site-packages/urllib3/connectionpool.py", line 392, in _make_request,
conn.request(method, url, **httplib_request_kw),
File "/usr/lib/python3.8/http/client.py", line 1255, in request,
self._send_request(method, url, body, headers, encode_chunked),
File "/usr/lib/python3.8/http/client.py", line 1301, in _send_request,
self.endheaders(body, encode_chunked=encode_chunked),
File "/usr/lib/python3.8/http/client.py", line 1250, in endheaders,
self._send_output(message_body, encode_chunked=encode_chunked),
File "/usr/lib/python3.8/http/client.py", line 1010, in _send_output,
self.send(msg),
File "/usr/lib/python3.8/http/client.py", line 950, in send,
self.connect(),
File "/usr/lib/python3.8/site-packages/urllib3/connection.py", line 187, in connect,
conn = self._new_conn(),
File "/usr/lib/python3.8/site-packages/urllib3/connection.py", line 171, in _new_conn,
raise NewConnectionError(,
urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7f584cc588b0>: Failed to establish a new connection: [Errno -2] Name does not resolve,
,
During handling of the above exception, another exception occurred:,
,
Traceback (most recent call last):,
File "/usr/lib/python3.8/site-packages/requests/adapters.py", line 439, in send,
resp = conn.urlopen(,
File "/usr/lib/python3.8/site-packages/urllib3/connectionpool.py", line 724, in urlopen,
retries = retries.increment(,
File "/usr/lib/python3.8/site-packages/urllib3/util/retry.py", line 439, in increment,
raise MaxRetryError(_pool, url, error or ResponseError(cause)),
urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='plex', port=32400): Max retries exceeded with url: /myplex/account (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f584cc588b0>: Failed to establish a new connection: [Errno -2] Name does not resolve')),
,
During handling of the above exception, another exception occurred:,
,
Traceback (most recent call last):,
File "/opt/plex_autoscan/plex.py", line 535, in wait_plex_alive,
resp = requests.get('%s/myplex/account' % (config['PLEX_LOCAL_URL']),,
File "/usr/lib/python3.8/site-packages/requests/api.py", line 75, in get,
return request('get', url, params=params, **kwargs),
File "/usr/lib/python3.8/site-packages/requests/api.py", line 60, in request,
return session.request(method=method, url=url, **kwargs),
File "/usr/lib/python3.8/site-packages/requests/sessions.py", line 533, in request,
resp = self.send(prep, **send_kwargs),
File "/usr/lib/python3.8/site-packages/requests/sessions.py", line 646, in send,
r = adapter.send(request, **kwargs),
File "/usr/lib/python3.8/site-packages/requests/adapters.py", line 516, in send,
raise ConnectionError(e, request=request),
requests.exceptions.ConnectionError: HTTPConnectionPool(host='plex', port=32400): Max retries exceeded with url: /myplex/account (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f584cc588b0>: Failed to establish a new connection: [Errno -2] Name does not resolve')),
2020-09-10 22:45:07,688 - WARNING - PLEX [140017218177824]: Checking again in 15 seconds (attempt 5)...,
 

doob

Administrator
Project Manager
Jun 7, 2020
919
477
ya its cannot connect to plex ... thats backend error ( server side ) not pas side
 

doob

Administrator
Project Manager
Jun 7, 2020
919
477

unuspromulti

Citizen
Mar 3, 2018
10
3
Apologies if this is a stupid question but if I've got Plexguide in an Ubuntu VM but Plex running on the host Windows OS, will this work and is there anything specific that I ought to bear in mind?
 

doob

Administrator
Project Manager
Jun 7, 2020
919
477
no
Apologies if this is a stupid question but if I've got Plexguide in an Ubuntu VM but Plex running on the host Windows OS, will this work and is there anything specific that I ought to bear in mind?
 
  • Like
Reactions: 1 user

loa92

Active
Donor
Aug 31, 2018
38
7
I've changed nearly every option in /opt/appdata/plexautoscan/config/config.jsone and I'm beginning to think that it's not the file that isn't there, but that PlexAutoscan is not connecting with Plex to trigger a scan. I would think that in Plex under Alerts, there would be a log of files sent to be scanned, but nothing shows. I wish there were more detailed logging. Perhaps I will mess around with the log levels.
Post automatically merged:

I was able to run /usr/lib/plexmediaserver/Plex\ Media\ Scanner from within the plex container of Portainer using user plex. This kicked off a scan, and Plex found the file eventually. The scanning was also visible in the Plex Alert tab of the Plex app, so there is something preventing the PlexAutoScan from communicating with the Plex Scanner. ...I'll keep digging.
 
Last edited:
  • Like
Reactions: 1 user

indochild

Experienced
Mar 13, 2018
54
22
sudo nano /opt/appdata/plexautoscan/config/config.json

set PLEX_LOCAL_URL": "http://plex:32400",
to
PLEX_LOCAL_URL": "http://0.0.0.0:32400",
This didn't fix the error for me, i'm still getting the error, but can't figure out what's wrong by checking the error. it looks exactly the same as slamsmatteren error log


Code:
Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/urllib3/connectionpool.py", line 670, in urlopen
    httplib_response = self._make_request(
  File "/usr/lib/python3.8/site-packages/urllib3/connectionpool.py", line 392, in _make_request
    conn.request(method, url, **httplib_request_kw)
  File "/usr/lib/python3.8/http/client.py", line 1255, in request
    self._send_request(method, url, body, headers, encode_chunked)
  File "/usr/lib/python3.8/http/client.py", line 1301, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.8/http/client.py", line 1250, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.8/http/client.py", line 1010, in _send_output
    self.send(msg)
  File "/usr/lib/python3.8/http/client.py", line 950, in send
    self.connect()
  File "/usr/lib/python3.8/site-packages/urllib3/connection.py", line 187, in connect
    conn = self._new_conn()
  File "/usr/lib/python3.8/site-packages/urllib3/connection.py", line 171, in _new_conn
    raise NewConnectionError(
urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7fe977b93280>: Failed to establish a new connection: [Errno -2] Name does not resolve

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/requests/adapters.py", line 439, in send
    resp = conn.urlopen(
  File "/usr/lib/python3.8/site-packages/urllib3/connectionpool.py", line 724, in urlopen
    retries = retries.increment(
  File "/usr/lib/python3.8/site-packages/urllib3/util/retry.py", line 439, in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='plex', port=32400): Max retries exceeded with url: /myplex/account (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7fe977b93280>: Failed to establish a new connection: [Errno -2] Name does not resolve'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/plex_autoscan/plex.py", line 535, in wait_plex_alive
    resp = requests.get('%s/myplex/account' % (config['PLEX_LOCAL_URL']),
  File "/usr/lib/python3.8/site-packages/requests/api.py", line 75, in get
    return request('get', url, params=params, **kwargs)
  File "/usr/lib/python3.8/site-packages/requests/api.py", line 60, in request
    return session.request(method=method, url=url, **kwargs)
  File "/usr/lib/python3.8/site-packages/requests/sessions.py", line 533, in request
    resp = self.send(prep, **send_kwargs)
  File "/usr/lib/python3.8/site-packages/requests/sessions.py", line 646, in send
    r = adapter.send(request, **kwargs)
  File "/usr/lib/python3.8/site-packages/requests/adapters.py", line 516, in send
    raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPConnectionPool(host='plex', port=32400): Max retries exceeded with url: /myplex/account (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7fe977b93280>: Failed to establish a new connection: [Errno -2] Name does not resolve'))
 2020-09-11 00:24:08,439 -  WARNING -      PLEX [140640710884128]: Checking again in 15 seconds (attempt 39)...
 
Last edited:

slamsmatteren

Citizen
Jan 21, 2020
14
0
This didn't fix the error for me, i'm still getting the error, but can't figure out what's wrong by checking the error. it looks exactly the same as slamsmatteren error log


Code:
Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/urllib3/connectionpool.py", line 670, in urlopen
    httplib_response = self._make_request(
  File "/usr/lib/python3.8/site-packages/urllib3/connectionpool.py", line 392, in _make_request
    conn.request(method, url, **httplib_request_kw)
  File "/usr/lib/python3.8/http/client.py", line 1255, in request
    self._send_request(method, url, body, headers, encode_chunked)
  File "/usr/lib/python3.8/http/client.py", line 1301, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.8/http/client.py", line 1250, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.8/http/client.py", line 1010, in _send_output
    self.send(msg)
  File "/usr/lib/python3.8/http/client.py", line 950, in send
    self.connect()
  File "/usr/lib/python3.8/site-packages/urllib3/connection.py", line 187, in connect
    conn = self._new_conn()
  File "/usr/lib/python3.8/site-packages/urllib3/connection.py", line 171, in _new_conn
    raise NewConnectionError(
urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7fe977b93280>: Failed to establish a new connection: [Errno -2] Name does not resolve

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/requests/adapters.py", line 439, in send
    resp = conn.urlopen(
  File "/usr/lib/python3.8/site-packages/urllib3/connectionpool.py", line 724, in urlopen
    retries = retries.increment(
  File "/usr/lib/python3.8/site-packages/urllib3/util/retry.py", line 439, in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='plex', port=32400): Max retries exceeded with url: /myplex/account (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7fe977b93280>: Failed to establish a new connection: [Errno -2] Name does not resolve'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/plex_autoscan/plex.py", line 535, in wait_plex_alive
    resp = requests.get('%s/myplex/account' % (config['PLEX_LOCAL_URL']),
  File "/usr/lib/python3.8/site-packages/requests/api.py", line 75, in get
    return request('get', url, params=params, **kwargs)
  File "/usr/lib/python3.8/site-packages/requests/api.py", line 60, in request
    return session.request(method=method, url=url, **kwargs)
  File "/usr/lib/python3.8/site-packages/requests/sessions.py", line 533, in request
    resp = self.send(prep, **send_kwargs)
  File "/usr/lib/python3.8/site-packages/requests/sessions.py", line 646, in send
    r = adapter.send(request, **kwargs)
  File "/usr/lib/python3.8/site-packages/requests/adapters.py", line 516, in send
    raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPConnectionPool(host='plex', port=32400): Max retries exceeded with url: /myplex/account (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7fe977b93280>: Failed to establish a new connection: [Errno -2] Name does not resolve'))
2020-09-11 00:24:08,439 -  WARNING -      PLEX [140640710884128]: Checking again in 15 seconds (attempt 39)...

Hi man ended up pointing the URL to domainname.plex.xxx:32400 in the config.json file and it seems to have fixed it. Just do that and restart the container. Let me know if you need more precise instructions.

It seems, that upgrading portainer has messed up the plex:32400 prefix...
 

indochild

Experienced
Mar 13, 2018
54
22
Hi man ended up pointing the URL to domainname.plex.xxx:32400 in the config.json file and it seems to have fixed it. Just do that and restart the container. Let me know if you need more precise instructions.

It seems, that upgrading portainer has messed up the plex:32400 prefix...
Do you mean Plex.domainname? Will that work if you have portguard on?
Also I don’t think it has to do with pertainer because I’m running the old portainer still
 

slamsmatteren

Citizen
Jan 21, 2020
14
0
Do you mean Plex.domainname? Will that work if you have portguard on?
Also I don’t think it has to do with pertainer because I’m running the old portainer still
Hmm dont know what happened then ... yep i just changed that in the .json file and it worked when i restartet pgscan in portainer

If you are in doubt connect either sonarr/radarr to plex and test out until u find the right setting ... then paste that into the json file!
 

indochild

Experienced
Mar 13, 2018
54
22
I THINK I FOUND A SOLUTION! It looks like my Plex container wasn’t on the plexguide network. Once I had the Plex container join the plexguide network it worked with the default config.json on plexautoscan
 

mrv153

Active
Mar 14, 2020
35
4
autoscan running completly fine for me.
Its adding stuff into plex with drive scan.

Only issue is, it wont search for metadata for this object. When I search for metadata manually its find all content instantly.
 

mrv153

Active
Mar 14, 2020
35
4
Movies Meta-Scanning work fine now for me (Changed scanner agent to plex movie in media settings)

Shows still dont work :( Shows getting added without meta scan, but actually its scanning for the show look:

Code:
2020-09-15 09:52:09,990 -     INFO -      PLEX [140580311161632]: Scan request from Manual for '/mnt/unionfs/tv/Africa (2013)/'.
 2020-09-15 09:52:09,990 -     INFO -      PLEX [140580311161632]: Sleeping for 20 seconds...
 2020-09-15 09:52:30,012 -     INFO -      PLEX [140580311161632]: File '/mnt/unionfs/tv/Africa (2013)/' exists on check 1 of 5.
 2020-09-15 09:52:30,013 -     INFO -      PLEX [140580311161632]: Scan request is now being processed...
 2020-09-15 09:52:30,013 -     INFO -      PLEX [140580311161632]: No 'Plex Media Scanner' processes were found.
2020-09-15 09:52:30,017 -     INFO -      PLEX [140580311161632]: Plex is available for media scanning - (Server Account: '[email protected]')
 2020-09-15 09:52:30,017 -     INFO -      PLEX [140580311161632]: Running Plex Media Scanner for: /mnt/unionfs/tv/Africa (2013)/
 2020-09-15 09:52:30,831 -     INFO -      PLEX [140580311161632]: Finished scan!
 

Recommend NewsGroups

      Up To a 58% Discount!

Trending